<!DOCTYPE html>
<html>
<head> 
    <title>用户登录</title>
    <!-- head 中 -->
    <link href="https://cdn.bootcss.com/jquery-weui/1.2.0/css/jquery-weui.min.css" rel="stylesheet">
    <link rel="stylesheet" href="https://res.wx.qq.com/open/libs/weui/1.1.2/weui.min.css">
    <link rel="apple-touch-icon" sizes="16x16" type="image/png" href="/static/sprites/favicon.png">
    
</head>
<body>
<form action="/login" method="POST" >
    <div class="weui-cells weui-cells_form">
      <div class="weui-cell">
        <div class="weui-cell__hd"><label class="weui-label">用户名</label></div>
        <div class="weui-cell__bd">
          <input class="weui-input" placeholder="请输入用户名" name="Name" >
        </div>
      </div>
      <div class="weui-cell">
        <div class="weui-cell__hd"><label class="weui-label">密码</label></div>
        <div class="weui-cell__bd">
          <input class="weui-input" placeholder="请输入密码" name="Password" >
        </div>
      </div>
      <div class="weui-btn-area">
         <a href="javascript:;" class="weui-btn weui-btn_primary">登陆</a>
      </div>
    </div>
</form>
<!-- body 最后 -->
<script src="https://cdn.bootcss.com/jquery/1.11.0/jquery.min.js"></script>
<script src="https://cdn.bootcss.com/jquery-weui/1.2.0/js/jquery-weui.min.js"></script>
<script>
    $('.weui-btn-area').on('click', function(e){
        var pairs = $('form').serialize().split(/&/gi);
        var data = {};
        pairs.forEach(function(pair) {
            pair = pair.split('=');
            data[pair[0]] = decodeURIComponent(pair[1] || '');
        });
        if(!data.Name){
            $.toptip('请输入用户名', 'warning');
            return;
        }
        if(!data.Password){
            $.toptip('请输入密码', 'warning');
            return;
        }
        $.ajax({
            type: "POST",
            dataType: "json",
            url: "/login",
            data: data,
            success: function (data) {
                console.log(data)
                if(data.err_code == 0)
                {
                    $.toptip('登陆成功', 800, 'success');
                    sessionStorage.obj = JSON.stringify(data);
                    //console.log(sessionStorage.obj)
                    window.setTimeout(function() {
                        window.location.href="/usercenter";
                    }, 100)
                } else {
                    $.toptip('用户名或者密码不正确', 'error');
                }
            },
            error : function() {
                $.toptip('用户名或者密码不正确', 'error');
            }
        });
    })
</script>
</body>
</html>
